Subject: TECH-ERROR (-core): current practice

From: Tony Finch <[email-masked]>
Date: Tue, 7 Sep 2004 11:16:10 +0100

Section 7.2 says:

   Some of today's forwarders already add an appropriate header
   (although many of them use Sender rather than Resent-From.)

This is completely incorrect. Most alias-forwarders add nothing. Some add
a non-standard and undocumented header.

Tony.
-- 
f.a.n.finch  <[email-masked]>  http://dotat.at/
RATTRAY HEAD TO BERWICK ON TWEED: VARIABLE BECOMING EAST OR SOUTHEAST 3 OR 4.
FAIR. GOOD. SLIGHT.

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Tue, 7 Sep 2004 15:43:08 +0200

On Tue, Sep 07, 2004 at 11:16:10AM +0100,
 Tony Finch <[email-masked]> wrote 
 a message of 14 lines which said:

> This is completely incorrect. Most alias-forwarders add
> nothing. Some add a non-standard and undocumented header.

Does anyone has a comprehensive list of major MTAs' behaviour?

For instance (just tested):

Postfix 2.1 with ".forward" : adds a Delivered-To (not mentioned in
RFC 2822) but no Resent-something

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 13 Sep 2004 11:29:25 +0200

On Tue, Sep 07, 2004 at 03:43:08PM +0200,
 Stephane Bortzmeyer <[email-masked]> wrote 

> RFC 2822) but no Resent-something

sendmail 8.12.3 with ".forward" : adds no header at all (and therefore
no Resent-something)